gh(1)

NAME

gh-repo-create - Create a new repository

SYNOPSIS

gh repo create [] [flags]

DESCRIPTION

Create a new GitHub repository.

When the current directory is a local git repository, the new repository will be added as the "origin" git remote. Otherwise, the command will prompt to clone the new repository into a sub-directory.

To create a repository non-interactively, supply the following: - the name argument; - the --confirm flag; - one of --public, --private, or --internal.

To toggle off --enable-issues or --enable-wiki, which are enabled by default, use the --enable-issues=false syntax.

OPTIONS

-y, --confirm[=false]
    Skip the confirmation prompt

-d, --description=""
    Description of the repository

--enable-issues[=true]
    Enable issues in the new repository

--enable-wiki[=true]
    Enable wiki in the new repository

-g, --gitignore=""
    Specify a gitignore template for the repository

-h, --homepage=""
    Repository home page URL

--internal[=false]
    Make the new repository internal

-l, --license=""
    Specify an Open Source License for the repository

--private[=false]
    Make the new repository private

--public[=false]
    Make the new repository public

-t, --team=""
    The name of the organization team to be granted access

-p, --template=""
    Make the new repository based on a template repository

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

EXAMPLE

    # create a repository under your account using the current directory name
    $ git init my-project
    $ cd my-project
    $ gh repo create
    # create a repository with a specific name
    $ gh repo create my-project
    # create a repository in an organization
    $ gh repo create cli/my-project
    # disable issues and wiki
    $ gh repo create --enable-issues=false --enable-wiki=false

SEE ALSO

gh-repo(1)